#version 330

uniform float stepSize;
uniform sampler2D texVertBlurred;
smooth in vec2 fragmentUV;

out vec4 fragColor;

void main(void)
{
	vec4 leftPixel = texture(texVertBlurred, fragmentUV - vec2(stepSize * 1.5, 0.0f));
	vec4 middlePixel = texture(texVertBlurred, fragmentUV);
	vec4 rightPixel = texture(texVertBlurred, fragmentUV + vec2(stepSize * 1.5, 0.0f));
	vec4 outPixel = vec4(0.0f, 0.0f, 0.0f, 0.0f);
	float coeff1 = 1.0f;
	float coeff2 = 0.5f;
	outPixel.x = coeff2 * leftPixel .x + coeff1 * middlePixel.x + coeff2 * rightPixel .x;
	outPixel.y = coeff2 * leftPixel .y + coeff1 * middlePixel.y + coeff2 * rightPixel .y;
	outPixel.z = coeff2 * leftPixel .z + coeff1 * middlePixel.z + coeff2 * rightPixel .z;
	outPixel.w = middlePixel.w;
	fragColor = outPixel;
}
