#version 330

uniform sampler2D colorTexture;
uniform sampler2D normalMap;

in vec2 fragmentUV;
in vec4 fragmentPosition;
in mat3 TBN;

out vec4 fragDiffuseColor;
out vec4 fragPosition;
out vec4 fragNormal;

void main(void)
{
	vec3 tangentNormal = normalize(texture(normalMap, fragmentUV).rgb*2.f - 1.f);
	
	fragDiffuseColor = texture(colorTexture, fragmentUV);
	fragPosition = fragmentPosition;
	fragNormal = vec4(normalize(TBN * tangentNormal), 1.f);
}
