#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;
in vec3 tangent;
in vec3 bitangent;

uniform mat4 modelMatrix;
uniform mat4 projectionViewMatrix;

out vec2 fragmentUV;
out vec4 fragmentPosition;
out mat3 TBN;

void main(void)
{
	TBN = mat3(modelMatrix) * mat3(
		normalize(tangent),
		normalize(bitangent),
		normalize(normal)
	);

	fragmentUV = uv;
	fragmentPosition = modelMatrix * vec4(position, 1.0f);

	gl_Position = projectionViewMatrix * fragmentPosition;
}
