#version 330

uniform sampler2D inputTexture;

uniform float gamma;

smooth in vec2 fragmentUV;

out vec4 fragColor;

void main(void)
{
	vec4 c = texture(inputTexture, fragmentUV);
	float gammaInv = 1.f / gamma;
	fragColor = vec4(pow(c.x, gammaInv), pow(c.y, gammaInv), pow(c.z, gammaInv), c.a);
}
